KEYINIT(1)

NAME
keyinit - Change password or add user to S/Key authentication system.

SYNOPSIS
keyinit [-s] [<user ID >]

DESCRIPTION
keyinit will initialize the system information to allow one to use S/Key to login.

OPTIONS
-s Set secure mode where the user is expected to have used a secure machine to generate the first one time password. Without the -s the system will assume you are direct connected over secure communications and prompt you for your secret password. The -s option also allows one to set the seed and count for complete control of the parameters. You can use keyinit -s in compination with the key command to set the seed and count if you do not like the defaults. To do this run keyinit in one window and put in your count and seed then run key in another window to generate the correct 6 english words for that count and seed. You can then "cut" and "paste" them or copy them into the keyinit window.

<user ID> the ID for the user to be changed/added (default is the current user)

DIAGNOSTICS

FILES

/etc/skeykeys data base of information for S/Key system.

BUGS

SEE ALSO
skey(1), key(1), keyinfo(1)

AUTHOR
Phil Karn, Neil M. Haller, John S. Walden, Scott Chasin